Vulnerabilities > Autonomy > Keyview Filter SDK > 10.4

DATE CVE VULNERABILITY TITLE RISK
2010-08-17 CVE-2010-1525 Numeric Errors vulnerability in Autonomy products
Integer underflow in the SpreadSheet Lotus 123 reader (wkssr.dll) in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted size for an unspecified record type, which triggers a heap-based buffer overflow.
network
autonomy CWE-189
critical
9.3
2010-08-17 CVE-2010-1524 Buffer Errors vulnerability in Autonomy products
The SpreadSheet Lotus 123 reader (wkssr.dll) in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allows remote attackers to execute arbitrary code via unspecified vectors related to allocation of an array of pointers and "string indexing," which triggers memory corruption.
network
autonomy CWE-119
critical
9.3
2010-08-17 CVE-2010-0135 Buffer Errors vulnerability in Autonomy products
Heap-based buffer overflow in the WordPerfect 5.x reader (wosr.dll), as used in Autonomy KeyView 10.4 and 10.9 and possibly other products, allows remote attackers to execute arbitrary code via unspecified vectors related to "data blocks."
network
autonomy CWE-119
critical
9.3
2010-08-17 CVE-2010-0134 Numeric Errors vulnerability in Autonomy products
Integer signedness error in rtfsr.dll in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allows remote attackers to execute arbitrary code via a crafted \ls keyword in a list override table entry in an RTF file, which triggers a buffer overflow.
network
autonomy CWE-189
critical
9.3
2010-08-17 CVE-2010-0133 Buffer Errors vulnerability in Autonomy products
Multiple stack-based buffer overflows in the SpreadSheet Lotus 123 reader (wkssr.dll) in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allow remote attackers to execute arbitrary code via unspecified vectors related to "certain records."
network
autonomy CWE-119
critical
9.3
2010-08-17 CVE-2010-0131 Improper Restriction of Operations Within the Bounds of A Memory Buffer vulnerability in multiple products
Stack-based buffer overflow in the SpreadSheet Lotus 123 reader (wkssr.dll), as used in Autonomy KeyView 10.4 and 10.9, Symantec Mail Security, and possibly other products, allows remote attackers to execute arbitrary code via unspecified vectors related to floating point conversion in unknown record types.
network
autonomy symantec CWE-119
critical
9.3
2010-08-17 CVE-2010-0126 Buffer Errors vulnerability in Autonomy products
Heap-based buffer overflow in an unspecified library in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allows remote attackers to execute arbitrary code via a crafted compound file, as demonstrated using a Quattro Pro file, which is not properly handled by the Quattro speed reader (qpssr.dll).
network
autonomy CWE-119
critical
9.3